1. Introduction

1.1. What is Mizu?

MizuPhone is a VOIP softphone based on the open standard SIP protocol. With MizuPhone you can connect to any SIP (proxy and/or registrar) server on the public internet or on your local area network.

1.2. Technical support

support@mizutech.hu

www.mizutech.hu


2. Features

2.1. Short description

MizuPhone’s puprose is to combine the SIP compatibility with P2P inteligence with an intuitive user interface. It is fully interoperable with most of the VOIP service providers, VOIP software and hardware (workstations, notebooks, PDAs, IP-Phones, etc). Mizu-Phone is higly optimized. Doesn’t eat your system resources and doesn’t disturb you when you work. When you use it for HD quality video calls, it can take advantage of dual-core systems.

2.2. Feature list

ü VOIP calls

ü Multiple accounts, multiple SIP server registrations.

ü Ultra WideBand codec

ü HD quality video calls (depending on your camera and bandwidth)

ü Instant messaging and presence using the SIMPLE protocol

ü Presence, session timers

ü Mute, Hold, Redial, Transfer, Forward, Conference

ü Local and remote voicemail

ü File transfer and file sharing (compaitibile with any SIP server)

ü History (with audio and video records)

ü Acoustic echo cancellation, automatic gain control, VAD, Denoise fillter, Auto QoS, Dynamic Jitter

ü Codecs: G711 (PCMU,PCMA), , G.723.1, G729, iLBC, Speex, MPEG1, MPEG4, Theora, DIV3, MJPG, H263, H264

ü Fax (beta version)

ü Network handling: UPNP, STUN, ICE, firewall and NAT detection

ü Transport protocolls: UDP, TCP, TLS

ü XCAP, WebDAV, FTP and HTTP profile storage

ü LDAP, Outlook, WAB, Vcard, CSV contact import

ü DTMF (Inband DTMF or SIP INFO messages)

ü Balance/credit display, Microsoft Outlook synchronization, LDAP, WAB contactlists

ü Full encypted communications (protocoll and media too)

ü Intelligent P2P based network path detection (will work even if the server is down)

ü Customizable interface and language

2.3. Main RFC’s and Drafts

ü RFC 2543 Compatibility

ü RFC 3261 Compatibility

ü RFC 3262 Reliability of Provisional Responses in Session Initiation

ü RFC 2976 The SIP INFO Method

ü RFC 2617 HTTP Authentication

ü RFC 3891 "Replaces" Header

ü RFC 3325 Private Extensions to the Session Initiation

ü RFC 2778 A Model for Presence and Instant Messaging

ü RFC 3428 Session Initiation Protocol (SIP) Extension for Instant Messaging

ü RFC 3263 Locating SIP Servers

ü RFC 3265 Specific Event Notification

ü RFC 3420 Internet Media Type message/sipfrag

ü RFC 3515 Refer Method

ü RFC 3311 UPDATE Method

ü RFC 3581 Symmetric Response Routing

ü RFC 3842 Message Summary and Message Waiting Indication Event Package

ü RFC 1889 RTP: A Transport for Real-Time Applications

ü RFC 2190 RTP Payload Format for H.263 Video Streams

ü RFC 2327 SDP: Session Description Protocol

ü RFC 2833 RTP Payload for DTMF Digits, Telephony Tones and Telephony Signals

ü RFC 3264 An Offer/Answer Model with Session Description Protocol

ü RFC 3550 RTP: A Transport Protocol for Real-Time Applications -replaces RFC 1889

ü RFC 3555 MIME Type Registration of RTP Payload Formats

ü draft-ietf-mmusic-ice-02 A Methodology for NAT Traversal for Multimedia Session Establishment Protocols

ü draft-ietf-avt-rtp-ilbc-04

ü draft-ietf-sipping-cc-transfer Call Control - Transfer

ü draft-ietf-sip-referredby-05

ü Custom protocol extensions

ü and many others


3. Installing

Minimum system requirements: Intel Pentium II 500 MHz, 128 MB RAM, Windows 2000, XP or Vista, Sound Card, IP network connection, Internet Explorer and a headset.

For HD video calls you need a HD quality camera device, directx8 compatible VGA card and a modern processor (2 GHz).

Download the install package from www.mizutech.hu and follow the instructions. The installation will take only 2 minutes.


4. Quick Start

On the login screen, type your username and password. If you are a first-time user, click on the "New user" label and enter any username/password. This username/password will protect your data (settings, history, etc) on the local computer and this will be your MizuTech login also (the MizuTech server will give you its SIP service and profile storage for free).

After login, you can set-up your sip account(s) if you would like to call traditional landline or mobile phones (the free MizuTech SIP server will route calls only between MizuPhone users). This can be done from Menu -> File -> Settings -> Accounts ->

Now you can:

Ø set-up your details (Menu -> File -> My Contact Details). At least setup your display-name properly.

Ø add your contacts (Menu-> Contacts -> Add new contact)

Ø call directly a name or phone number ("Dial" tab)

Ø send instant message, files or initiate video calls (right click on a contact)


5. Configuration

The MizuPhone configuration can be accessed from Menu -> File -> Settings. There are settings which belong to the selected account or which are accont independent. The most important settings are the Accounts setttings where you can add your sip service providers. Advanced/Basic view can be changed by the “Show advanced settings” checkbox.

On the Application section you can set the application behavior. In the Network section the local endpoint settings can be set. The local IP and ports are discovered automatically if you don’t set it explicitly. The MizuPhone has many built-in features that help to properly route your IP packets, NAT discovery, automatic firewall configuration, UPNP discovery, STUN and ICE technologies help for proper call routing. If you have problems with NAT/firewall traversal, set the local signalling and rtp ports explicitly and make a rule in your NAT/firewall device to bind your ports properly (known as virtual server settings). You usually need to check only “UDP” as the listening protocol because very few SIP server connects to you by TCP or TLS.

The Accounts section is the most important one. Here youn can define your sipservers and login settings. In the “Account Name” you can type anything or leave it empty. The “Server Address” must be filled properly as your VOIP provider requires it. It can be a domain name or an IP address. The standard SIP port is 5060, so you usually don’t have to change it unless your provider says othervise. Leave the “Proxy Address” empty if you don’t know its meaning! The username and password will be provided by your VOIP provider. The username can be a phone number too. You can set other details by clicking on the “Edit my profile” link (For example it is very useful to set your display name properly because it doesn’t have to be the same with your username wich is usually a phone number). When you configure the built-in MizuTech account, you cannot simply rewrite your password. The password change must be handled by the server, so you have to hit the “Change password” and follow the instructions. You can load the server settings from a config file (if you have such file) by clicking on the “Load settings from template”.

Phone numbers can be normalized (insert/remove prefix/suffix) on the Dial Plan section. For example if you enter the number 1111 but you would like the dialed number to be 991111 you have to set the “Original number or prefix” as 1111, and the “Add to begin” to 99, than hit the “Add” button.

On the SIP Settings tab some advanced SIP protocol related settings can be done. Set the “keep-alive interval” to a low value, because this will keep your NAT open by periodically sending the message configured by “Keep-alive message” to the server. Uncheck the “Register interval” checkbox if you don’t want registrations at all, but take care because most of the SIP servers will require periodic reregistrations! The “presence interval” means how often your contacts status will be required. But they will send it automatically on every change, so there is no reason to set it shorter than 600 sec (10 minute). The “session timer” helps to detect disconnected calls. “Cache DNS records” will speed up DNS requests. Uncheck it only if you have problems with it (your server or contacts change its domain name very often). If the “Encrypt communication” is checked, the softphone will encrypt the media and/or the signaling whenever the other endpoint supports encryption. If the transport is encrypted you will see a small lock icon in the bottom-right corner of the application. Most SIPservers use UDP as the transport protocol, so change it only if you are sure.

On the Codecs tab the audio and video codecs properties can be changed such as enable/disable, priority, frame/packet and video bitrate. Be sure to use pattented codecs only if you have license for it. Additional codecs can be added as plugins.

You can change your audio and video devices (soundcard and webcam) and RTP settings on the Devices tab. If you have only one audio and video codec, than you can leave the microphone, speaker and webcam settings as “default”. Othervise set your preferred devices. The AGC (automatic gain control) feature is very useful when your peers have too loud or noisy audio volume. The AEC (acoustic echo cancellation) helps to reduce the echo from your speaker. You have to leave the Auto QoS option usually checked for proper prioritization of the UDP packets. The QoS will have more significant result if your routers do support QoS. The “Silence supression” can save some bandwith but this can result in disconfort for your peers (they will hear totally silent periods without background noise). You can finetune you dynamic jitter buffer setting by changing the jitter values. Make a bigger jitter if you hear cropps in the voice, and make it lower if you experience delays in the voice. The “audio settings” button is a shortcut to the windows audio control panel applet.

You can change the default ringtone and other sounds on the Sounds section. Wave and mp3 files are accepted. On the Archive section you can change how much time the history will be kept for you. Turn off the voice recording if your harddisk doesn’t have enough space. Finetune your blacklist and other security settings on the Privacy section. On the Messaging section you can set the DTMF type to In-Band, INFO or In-Band and INFO. Check the “Send typing notifications” checkbox if you would like your peers to know when you have started writing a chat message. You can specify a short text to be appended after every SMS messages sent by you (usually your name, because the target wouldn’t know who is the sender of the message. Finally you can set the mode your chat messages will be sent. By pressing the Enter button, or only in combination with Ctrl. On the Voicemail tab you can configure a caller number from wich all calls will be accepted automatically. Set it as long as possibile. It is useful for example when you are on vacation, you call your softphoe and see what’s happening in your house. On the Storage tab you can define a “Shared directory” to be accessible by your contacts without your permission. It is very useful for you documents, pictures and music that you want to share with your colleagues, friends or family members. You can also set a remote location where your profile and contactlist will be stored (FTP, HTTP, WebDav and XCAP servers are supported)


6. Using

Quick tasks such as contact management, view modes can be accessed from the program menu. From the File menu you can LogOff and LogOn as a different user, change your status, access your configuration and see your contact details or exit the application. From the View menu you can change the sort order of the contacts, show/hide some modules or set the phone always on top of other applications. From the Contacts menu you can manage your contacts: add new contact, search for peopels, delete, edit, backup and categorize your contacts. From the Help menu you can access the documentation, see the “about box” with your program verzion and access important links (from where to buy, project webpage, support contact email address). When you receive the product key you can add it from the “Enter activation code” menu.

In the StatusBar you can change your online status, see your sipservers status and check important system messages and logs.

The most important tabs are the followings: Contacts: here you can see you contacts and its presence (online/offline status). Right click on a contact to select the desired action (call, send message, send file, etc)

Dial: when you want to call ordinary numbers (a people that are not on your contact list), you can do a quick dial here.

History: here you can see your missed calls and other events.

Settings: accesibile from Menu -> File -> Settings. You can configure your softphone on this tab. For more details see the Configuration chapter.

Messenger window: can be placed on a tab or in a separate window (depending from your configuration). Here you can send chat and SMS messages for peopels or groups.

Contact details: in this tab you can see or edit your contacts profile.

Add to conference: on this tab you can select people to add to conference (IM or call). If the people are not in your contact list, you can enter their number directly

Call tabs: every session are displayed on its separate page. Caller ID, call status and time will be displayed here. From the actions rigth-click menu you can add more participants, add video, hold the call or do other actions.

6.1. Starting

MizuPhone can be started in multiple ways:

Ø Started automatically with windows. Click on the MizuPhone icon on the bottom-rigtht corner of the desktop

Ø Use windows start menu or double-click on the desktop icon

Ø Pressing Ctrl+Alt+M

Ø Click on a browswer hyperlink. Example: <a href="sip:4444@domain.com">call displayname</a>

Ø Double click on a file with .sip extension. The file must contain an URI or must be a configuration file

6.2. Login

Depending on your version, the login username/password can mean the followings:

Ø Username/password to protect your local profile

Ø MizuTech username/password (for free MizuTech SIPserver and profile storage)

Ø Username/password for your VOIP provider sipserver

If you don’t already have a MiziTech account, click on the “New user” link and enter your username/password. Your new account will be created in 5 seconds. If the “Create SyTech account” checbox is not checked, only a local profile will be created to protect your configurations and history from other users on the same computer.

If you use the softphone on your private computer, you can check the “Remember my password” and the “Login automatically” checkbox, but if you use it from a public place, make sure, that these checkboxes are cleared and always click on Menu -> File -> LogOff when you are finished.

Change the language for your needs (currently only English and Hungarian are available) and hit the “Login” button to begin.

6.3. Voice calls

You can initiate voice calls in multiple ways:

Ø Right click on a contact and choose “Call”

Ø Click on the green call button

Ø Click on a phone numbers link to begin a call to the selected number (this is useful when a contact has more than one number)

Ø You can configure to call the contact when you double-click on it (the default double-klick action is chat message)

Ø From the Menu -> Action choose Call

Ø Switch to the Dial tab, and enter a phone number or username.

You can also enter the full URI. Eg: username@address:port, where the username can be a phone number also. The address can be a domainname or an IP address. If the port is missing, then the default port is used which is 5060 for the SIP protocol. On the dial tab you can quickly select your last called numbers from the phone number drop-down list.

When a call is initiated (or on incoming calls), the call tab will be showed where you can see important information about the call such as contact panel, caller ID, call status, ring and call timer, disconnect reason and transfer status if any. Right click on the contact or click on the Action button to do more actions when you are in call, such as: send DTMF, hold the call, transfer the call, add more participants (conference), add video, etc.

6.4. IM

You can initiate instant message (chat) sessions in multiple ways:

Ø Right click on a contact and choose “Send Chat”

Ø Click on the chat icon on the contact panels

Ø From the Menu -> Action choose Send Instant Message

From the Chat tab you can select the desired number (if the selected contact has more than one) and the preferred sipserver (if you are connected to more than one sipserver). Than you can send plain or formatted (html) message to your peer (depending on your configuration. Default is html). You can insert emoticons and set text color and style.

6.5. Video calls

When already in call, right click to the contact and select “Add video”. There are lots of video codecs to choose from. Make sure to set finetune your preferred video bitrate to achieve the best possible quality. You can make even HD quality calls if you have enough hardware and bandwidth.

6.6. Conference

When you are in a voice or chat session you can always add more participipants to the session. The conference is handled by the softphone local mixer, so you can speak with multiple persons even if your VOIP provider doesn’t support conference. The standard SIP conference protocoll is also supported, so you can be invited to such conferences too.

6.7. Contacts

Contacts can be easily added, dropped, renamed, imported or exported from Menu -> Contact. To see and edit a contact profile, click on the “Details” link or double-click on the contact photo. When a new contact is detected (by presence or automatic neighbour discovery) you will get a confirmation form when you can accept or deny the presented people. If somebody spams you, you can easily put it on the blacklist and you don’t receive any more message from that person. To force a neighbourhood discovery, click on Menu -> Contacts -> Find People near Me. If you have many contacts you can put them is separate groups (Menu -> Contacts -> Create new Group)

6.8. Sending and sharing files

Right click on a contact and select “Send file”. You can send files only to other MizuPhone users, but the protocol is compatible with every SIPserver (the sipserver will see an ordinary call only with a special codec)

You can configure a shared directory on your computer in Settings -> Misc. Your contact than can access this file easily. To access other contacts shared files, just right-click on the contact and click on Shared Files. If this option is not available, than the contact doesn’t have shared files or doesn’t use MizuPhone.

6.9. Remote desktop

For an easier collaboration you can use Remote descktop. Right click on a contact, select “Remote Dektop” and you will be logged in on your contact PC. You can work on their desktop remotely. This feature is enabled only between MizuPhone users but it is compatible with every sipserver (the sipserver will see an ordinary call only with a special codec).

6.10. Fax

The fax functionality is still in beta version.

You can receive fax images by setting an account as a fax channel. Than the calls will be threated as faxes (no local ringtone generated, the incoming fax messages are stored in the predefined fax directory converted to pdf). To send fax messages, select Menu -> Actions -> Send Fax, or alternatively, you can mark some users as beeing fax devices (Is Fax option in the user details form); in this case, when you right click on the users, the “Send Fax” option will apear. Click on it, select the fax image (jpeg or tiff) and push the “Send” button.

6.11. Voicemail

MizuPhone supports the voicemail related SIP RFC’S, and additionally implements local voicemail functionality. Voicemail can be configured at File Menu -> Settings -> Voicemail. Check the “Show advanced settings” checkbox to see more options here. You will be notified when your servers has new voicemail messages if the “Remote Voicemail” option is set to “Auto” or “Yes”. For the local voicemail to work, you have to set your greeting sound and the circusmstances when voicemail will be activated (always, on busy, etc).

6.12. Call Forward

The call-forward functionality can be set on the “Voicemail” section. Just specify phone number(s) when you want your calls to be forwarded (always, on busy, etc). You can be notified by missed calls/IM messages if you activate the “send missed calls/messages to my email address” checkbox. In this case, you need to specify your email address correctly for your profile, because notification messages will be sent to this address (File Menu -> Edit your profile). Additionally you can accept incoming calls automatically by filling the “Auto accept call from” editbox.

6.13. Other Tasks

For a complete set of communication channels, there are also a builtin quick link to your email client. Just right click on a contact a press “Send Email”. Alternatively the embedded email client can be used to send emails. You doesn’t need to have a vorking email client in order for this to work. You can also send SMS messages to mobile phones. SMS messages are sent like chat messages, but the number of characters is limited to 160 and the format is always plain text.

6.14. Routing

You can explicitely set the exact name/number and the used sipserver (if you have more than one) at every call. However if you doesn’t specify these settings, the softphone will automatically guess the best sipserver for your call based on your call history and the called prefix. You can also type a complete URI (number@address:port) instead of a name. In this case the call will be routed trough the server specified by address:port. The address part can be a domain name or an IP address. You can also control the dialed number by the Dial Plan. See the Configuration chapter for more details.

MizuPhone can send the initial INVITE to multiple address where a contact can be. It always remembers the contact’s last location, so even if your SIPserver is down, you can still call your contacts. For proper RTP routing the sofpthone will automatically detect your network, nat and firewall and will try to pass them correctly using various technologies (firewall control, UPNP, STUN, ICE and other proprietary methods). When the remote party RTP port is not obvious, it can start to send the RTP stream to multiple locations, and will choose the one from where it receives answer.

6.15. Hot Keys

Function | Keyboard Shorcut
Launch application | Ctrl+Alt+M
Answer | Enter
Hang up | Esc
Hold/Mute | Spacebar
Increase/Decrease Volume | Up/Down Arrows (or +,-)


7. FAQ

7.1. I can’t receive incoming calls

If you use a NAT or firewall that cannot be handled automatically by MizuPhone, you can explicitely set the listening SIP and RTP ports on the sofphone, then configure your device (router, NAT or firewall) to route the requested ports to your softphone. (setup a virtual server configuration). You usually have to route the default SIP port (5060) and some RTP ports (for example between 50000 and 50005). And, of course, you have to be registered on your SIP server(s).

7.2. How can I get the best voice quality

The best quality builtin codec is SpeexUWB (speex ultra wideband), but in order to be used, your peer must also have this codec. PSTN calls don’t have wideband codecs, because their characterisitcs. For this codec to work properly, you will need a quality 45 kbits upload and download (29 kbits for raw codec payload + rtp and udp payload + some signaling). To achieve the best quality, you must use a headset. If you hear noise, enable noise supression. If you hear cutting voice, check this FAQ .

7.3. The voice are cutting. How can I improve the voice quality?

Enable the silence detection

Increase the jitter buffer

Use a low bandwidth codec (for example iLBC)

Make sure that some other program don’t eat all of your CPU time

Make sure you have at least 10 kbits/sec upload and download.

7.4. How to call other UA directly (bypassing the sipserver)

Switch to the Dial page.

Enter the “phone number” in the following format:

username@domainname:port

for example:

myfriend@192.168.0.5:5094

(if you omit the port, the default port will be 5060)

7.5. How to monitorize SIP messages

Set Setting->Application->Trace Level to “Details”

Eventually you can install a network sniffer (for example Wireshark ) and set to the port to local signaling port.

7.6. How to clear my saved login password

When you check the “Remember my password” checkbox, your password will be saved.

To delete the saved password, just click on File menu -> LogOff (for example when you leave a public internet location)

7.7. I would like to use only a certain codec

Go to File Menu -> Settings -> Codecs (activate the “Show advanced settings” if you don’t see codecs).

Set the priority for your codec to the lovest value. (0=highest priority, 100=lowest priority)

Eventually you can disable all other codecs (uncheck the “Use this codec” checkbox; but in this case, calls may fail if the remote endpoint don’t have the selected codec)

Copyright © 2008 MizuTech SRL


MizuPhone VOIP SoftPhone

User Guide

Contents

1. Introduction. 2

1.1. What is Mizu?. 2

1.2. Technical support 2

2. Features. 3

2.1. Short description. 3

2.2. Feature list 3

2.3. RFC’s and Drafts. 3

3. Installing. 4

4. Quick Start 4

5. Configuration. 4

6. Using. 5

6.1. Starting. 6

6.2. Login. 6

6.3. Voice calls. 6

6.4. IM... 7

6.5. Video calls. 7

6.6. Conference. 7

6.7. Contacts. 7

6.8. Sending and sharing files. 7

6.9. Remote desktop. 8

6.10. Fax. 8

6.11. Voicemail 8

6.12. Call Forward. 8

6.13. Other Tasks. 8

6.14. Routing. 8

6.15. Hot Keys. 9

7. FAQ.. 9

7.1. I can’t receive incoming calls. 9

7.2. The voice are cutting. How can I improve the voice quality?. 9

7.3. How to call other UA directly (bypassing the sipserver) 9

7.4. How to monitorize SIP messages. 9

7.5. How to clear my saved login password. 9

Version

MizuPhone v0.9.2 User Guide

Revisited July 17, 2008

Copyright

This document is copyrighted by MizuTech SRL.

Copyright ©2008 MizuTech SRL

Disclaimer: MizuTech SRL. reserves the right to change any information found in this document without any written notice to the user. No warranty is made in regard to specifications or features.

License Agreement

You must accept the license agreement (LicenseAgreement.txt) before you use any MizuTech software!

Trademark Acknowledgement

LINUX is a registered trademark of Linus Torvalds in the United States and other countries.

Windows is a trademark of Microsoft Corporation, registered in the United States and other countries.

OpenH323 are licensed under MPL .

VideoLAN is a software project, which produces free software for video, released under the GNU General Public License (GPL version 2).

UltraVNC is licensed under the the GNU General Public License.

Some video or audio codecs usable by MizuPhone requires patent license (per channel) unless it is used in pass-through mode.

For modules licensed under the the GNU General Public License , the source code is included on the install CD.

Other logos, products, brand names and service names contained in this document are the property of their respective owners (trademarks or registered trademarks of their respective companies)